Services
Get Service
Get details of a specific service.
GET
/
v1
/
sprites
/
{name}
/
services
/
{service_name}
Get Service
curl --request GET \
--url https://api.sprites.dev/v1/sprites/{name}/services/{service_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sprites.dev/v1/sprites/{name}/services/{service_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sprites.dev/v1/sprites/{name}/services/{service_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"args": [
"-m",
"http.server",
"8000"
],
"cmd": "python",
"http_port": 8000,
"name": "webapp",
"needs": [
"postgres"
],
"state": {
"name": "webapp",
"pid": 1567,
"started_at": "2026-01-05T08:01:00Z",
"status": "running"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Command arguments
Command to execute
Service name
Service dependencies
HTTP port for proxy routing
Current runtime state
Show child attributes
Show child attributes
Example:
{
"name": "webapp",
"pid": 1567,
"started_at": "2026-01-05T08:01:00Z",
"status": "running"
}
⌘I
Get Service
